std::shared_mutex Class Reference
Concurrency » Mutexes

`#include <shared_mutex>`

## Public Member Functions

| shared_mutex (const shared_mutex &)=delete
void | lock ()
void | lock_shared ()
shared_mutex & | operator= (const shared_mutex &)=delete
bool | try_lock ()
bool | try_lock_shared ()
void | unlock ()
void | unlock_shared ()

## Related Symbols

(Note that these are not member symbols.)
template<typename _Mutex>
void | swap (shared_lock< _Mutex > &__x, shared_lock< _Mutex > &__y) noexcept

## Detailed Description

The standard shared mutex type.

Definition at line 409 of file shared_mutex.

## Member Function Documentation

## lock()

void std::shared_mutex::lock | ( |  | ) |

inline

Definition at line 420 of file shared_mutex.

## lock_shared()

void std::shared_mutex::lock_shared | ( |  | ) |

inline

Definition at line 426 of file shared_mutex.

## try_lock()

bool std::shared_mutex::try_lock | ( |  | ) |

inline

Definition at line 421 of file shared_mutex.

## try_lock_shared()

bool std::shared_mutex::try_lock_shared | ( |  | ) |

inline

Definition at line 427 of file shared_mutex.

## unlock()

void std::shared_mutex::unlock | ( |  | ) |

inline

Definition at line 422 of file shared_mutex.

## unlock_shared()

void std::shared_mutex::unlock_shared | ( |  | ) |

inline

Definition at line 428 of file shared_mutex.

The documentation for this class was generated from the following file:

- shared_mutex